$base_font: 16px;

.text {

    &--52 {
      @include font_size(52);
      line-height: 1.3;
    }
  
    &--42 {
      @include font_size(42);
      line-height: 1.3;
    }
  
    &--32 {
      @include font_size(32);
      line-height: 1.2;
    }
  
    &--24 {
      @include font_size(24);
      line-height: 1.1;
    }
  
    &--18 {
      @include font_size(18);
      line-height: 1.2;
    }
  
    &--14 {
      @include font_size(14);
      line-height: 1.2;
    }
    &--12 {
      @include font_size(12);
      line-height: 1.2;
    }
  }


  .font {
    &--regular{
      font-weight: 400;
    }
    &--bold{
      font-weight: 700;
    }
    &--black{
      font-weight: 900;
    }
  }